---
title: Window.performance
slug: Web/API/Window/performance
tags:
  - API
  - HTML DOM
  - High Resolution Time
  - High Resolution Time API
  - Navigation Timing
  - Navigation Timing API
  - Optimization
  - Performance
  - Property
  - Reference
  - Telemetry
  - Window
---
<div>{{APIRef("High Resolution Time")}}</div>

<p>The {{domxref("Window")}} interface's <strong><code>performance</code></strong> property returns a {{domxref("Performance")}} object, which can be used to gather performance information about the current document. It serves as the point of exposure for the Performance Timeline API, the High Resolution Time API, the <a href="/en-US/docs/Web/API/Navigation_timing_API">Navigation Timing API</a>, the <a href="/en-US/docs/Web/API/User_Timing_API">User Timing API</a>, and the <a href="/en-US/docs/Web/API/Resource_Timing_API">Resource Timing API</a>.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox"><em>performanceData</em> = window.performance;</pre>

<h3 id="Value">Value</h3>

<p>A {{domxref("Performance")}} object offering access to the performance and timing-related information offered by the APIs it exposes.</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
	<tbody>
		<tr>
			<th scope="col">Specification</th>
			<th scope="col">Status</th>
			<th scope="col">Comment</th>
		</tr>
		<tr>
			<td>{{SpecName('Highres Time', '#performance', 'window.performance')}}</td>
			<td>{{Spec2('Highres Time')}}</td>
			<td>Defines <code>now()</code> method.</td>
		</tr>
	</tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.Window.performance")}}</p>
